
Redmine - Defect #23031

CSS Wrong icon for details

2016-06-09 23:12 - César DJ Caësar 9114

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 3.1.3

Description

Hello,

I'm currently developing a plugin for Redmine, and I saw that there may be a mistake regarding a class:

.icon-details  { background-image: url(../images/zoom-in.png); }

 I would have written:

.icon-details  { background-image: url(../images/magnifier.png); }

 Because "zoom-in" already exists here:

.icon-zoom-in { background-image: url(../images/zoom_in.png); }

 And "magnifier" doesn't exist anywhere.

Related issues:

Related to Redmine - Patch #24578: Remove unused CSS class ".icon-details" Closed

History

#1 - 2016-06-11 07:13 - Jean-Philippe Lang

You should use .icon-magnifier which uses magnifier.png. .icon-details class is no longer used and should be removed.

#2 - 2016-06-11 22:22 - César DJ Caësar 9114

Jean-Philippe Lang wrote:

You should use .icon-magnifier which uses magnifier.png. .icon-details class is no longer used and should be removed.

 Merci Jean-Philippe, but I'm currently using version 3.2.1 (stable) of Redmine, and there is no .icon-magnifier. There is a -search-margnifier in

responsive.css, though.

I may have missed something but I looked among all the files using:

grep -rnw '/usr/share/redmine/' -e "magnifier" 

#3 - 2016-12-11 08:30 - Go MAEDA

- Related to Patch #24578: Remove unused CSS class ".icon-details" added

#4 - 2016-12-11 08:33 - Go MAEDA

- Category changed from Themes to UI

- Status changed from New to Closed

- Resolution set to Wont fix

Since I have created a issue #24578 to remove icon-details, I am closing this issue.

César Lizurey wrote:

Merci Jean-Philippe, but I'm currently using version 3.2.1 (stable) of Redmine, and there is no .icon-magnifier. There is a -search-margnifier in

2025-05-17 1/2

https://www.redmine.org/issues/24578


responsive.css, though.

 .icon-magnifier was introduced in Redmine 3.3.0.
